[XML-SIG] Error re: the impish "imp" ????????/

Geir Ove Grønmo grove@infotek.no
27 May 1999 12:32:17 +0200


* Lars Marius Garshol
| * wask@mcc.com
| |
| | I've been learning to use the XML Package from Python. However, when
| | running from JPython, I keep getting errors regarding module imp (no
| | module named, NameError). 
| 
| The problem is that imp is not implemented in JPython.
| 
| I assume you're using SAX, and specifically the parser factories? I
| know they have this problem in JPython and I seem to recall that I
| have a patch submitted by Geir Ove Grønmo which does not use imp and
| thus works in JPython.

You can replace your existing saxexts.py with the one you'll find at the 
following location:

http://www.infotek.no/~grove/saxexts.py

This version adds support for JPython, using the org.python.core.imp
Java class. saxexts.py should work for both CPython and JPython.

All the best,
Geir O.